module AboutYou
  module SDK
    module Model
      ###
      # This class represents a FacetCount model.
      ###
      class FacetCount
        # The Facet
        attr_accessor :facet
        # The count of the facet
        attr_accessor :count

        ###
        # the Constructor for the facetcount class
        #
        # * *Args*    :
        #   - +facet+ -> a facet
        #   - +count+ -> the count of the facet
        #
        # * *Returns* :
        #   - Instance of AboutYou::SDK::Model::FacetCount
        ###
        def initialize(facet, count)
          self.facet = facet
          self.count = count
        end
      end
    end
  end
end
