module AboutYou
  module SDK
    module Model
      ###
      # This class represents an order model
      ###
      class Order
        # id of the order
        attr_accessor :id
        # basket of the order
        attr_accessor :basket

        ###
        # Constructor for the AboutYou::SDK::Model::InitiateOrder class
        #
        # * *Args* :
        #   - +id+ -> id of the order
        #   - +basket+ -> basket of the order
        #
        # * *Returns* :
        #   - an instance of AboutYou::SDK::Model::Order
        ###
        def initialize(id, basket)
          self.id     = id
          self.basket = basket

          self
        end
      end
    end
  end
end
